package com.ym.library.module;


import java.util.List;

public class TaskSingInEntity {

    /**
     * status : 1
     * dayList : [{"day":1,"isSign":1,"coins":18,"type":0,"isToday":1,"dayInWeek":1,"isCanDoubling":0},{"day":2,"isSign":0,"coins":28,"type":0,"isToday":0,"dayInWeek":2,"isCanDoubling":0},{"day":3,"isSign":0,"coins":38,"type":0,"isToday":0,"dayInWeek":3,"isCanDoubling":0},{"day":4,"isSign":0,"coins":58,"type":0,"isToday":0,"dayInWeek":4,"isCanDoubling":0},{"day":5,"isSign":0,"coins":68,"type":0,"isToday":0,"dayInWeek":5,"isCanDoubling":0},{"day":6,"isSign":0,"coins":88,"type":0,"isToday":0,"dayInWeek":6,"isCanDoubling":1},{"day":7,"isSign":0,"coins":100,"type":3,"isToday":0,"dayInWeek":7,"isCanDoubling":1}]
     * sid : 041d15d52daa48949d56642ccd3f6794
     * continueNum : 1
     * availableCoins : 478
     * cash : 0.1
     * coinMultiple : 0
     * totalAwardCoins : 398
     * coins : 18
     * continuousList : []
     * isShowContinueTask : 0
     * continuousAwardDayNum : 6
     * continuousAwardDayList : [{"dayNumStr":"今天","type":1},{"dayNumStr":"2天","type":0},{"dayNumStr":"7天","type":2}]
     * nextContinuousAwardDay : 7
     * alreadGetCoins : 18
     * signRule : 连续签到4天本周金币X2，连续六天X2，连续一周再X2
     * reSign : false
     * reSignDays : 0
     * reSignParam : [0,3]
     */

    private int status;
    private String sid;
    private int continueNum;
    private int availableCoins;
    private double cash;
    private int coinMultiple;
    private int totalAwardCoins;
    private int coins;
    private int isShowContinueTask;
    private int continuousAwardDayNum;
    private int nextContinuousAwardDay;
    private int alreadGetCoins;
    private String signRule;
    private boolean reSign;
    private int reSignDays;
    private List<DayListBean> dayList;
    private List<?> continuousList;
    private List<ContinuousAwardDayListBean> continuousAwardDayList;
    private List<Integer> reSignParam;

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public String getSid() {
        return sid;
    }

    public void setSid(String sid) {
        this.sid = sid;
    }

    public int getContinueNum() {
        return continueNum;
    }

    public void setContinueNum(int continueNum) {
        this.continueNum = continueNum;
    }

    public int getAvailableCoins() {
        return availableCoins;
    }

    public void setAvailableCoins(int availableCoins) {
        this.availableCoins = availableCoins;
    }

    public double getCash() {
        return cash;
    }

    public void setCash(double cash) {
        this.cash = cash;
    }

    public int getCoinMultiple() {
        return coinMultiple;
    }

    public void setCoinMultiple(int coinMultiple) {
        this.coinMultiple = coinMultiple;
    }

    public int getTotalAwardCoins() {
        return totalAwardCoins;
    }

    public void setTotalAwardCoins(int totalAwardCoins) {
        this.totalAwardCoins = totalAwardCoins;
    }

    public int getCoins() {
        return coins;
    }

    public void setCoins(int coins) {
        this.coins = coins;
    }

    public int getIsShowContinueTask() {
        return isShowContinueTask;
    }

    public void setIsShowContinueTask(int isShowContinueTask) {
        this.isShowContinueTask = isShowContinueTask;
    }

    public int getContinuousAwardDayNum() {
        return continuousAwardDayNum;
    }

    public void setContinuousAwardDayNum(int continuousAwardDayNum) {
        this.continuousAwardDayNum = continuousAwardDayNum;
    }

    public int getNextContinuousAwardDay() {
        return nextContinuousAwardDay;
    }

    public void setNextContinuousAwardDay(int nextContinuousAwardDay) {
        this.nextContinuousAwardDay = nextContinuousAwardDay;
    }

    public int getAlreadGetCoins() {
        return alreadGetCoins;
    }

    public void setAlreadGetCoins(int alreadGetCoins) {
        this.alreadGetCoins = alreadGetCoins;
    }

    public String getSignRule() {
        return signRule;
    }

    public void setSignRule(String signRule) {
        this.signRule = signRule;
    }

    public boolean isReSign() {
        return reSign;
    }

    public void setReSign(boolean reSign) {
        this.reSign = reSign;
    }

    public int getReSignDays() {
        return reSignDays;
    }

    public void setReSignDays(int reSignDays) {
        this.reSignDays = reSignDays;
    }

    public List<DayListBean> getDayList() {
        return dayList;
    }

    public void setDayList(List<DayListBean> dayList) {
        this.dayList = dayList;
    }

    public List<?> getContinuousList() {
        return continuousList;
    }

    public void setContinuousList(List<?> continuousList) {
        this.continuousList = continuousList;
    }

    public List<ContinuousAwardDayListBean> getContinuousAwardDayList() {
        return continuousAwardDayList;
    }

    public void setContinuousAwardDayList(List<ContinuousAwardDayListBean> continuousAwardDayList) {
        this.continuousAwardDayList = continuousAwardDayList;
    }

    public List<Integer> getReSignParam() {
        return reSignParam;
    }

    public void setReSignParam(List<Integer> reSignParam) {
        this.reSignParam = reSignParam;
    }

    public static class DayListBean {
        /**
         * day : 1
         * isSign : 1
         * coins : 18
         * type : 0
         * isToday : 1
         * dayInWeek : 1
         * isCanDoubling : 0
         */

        private String sid;
        private int day;
        private int isSign;
        private int coins;
        private int type;
        private int isToday;
        private int dayInWeek;
        private int isCanDoubling;

        public String getSid() {
            return sid;
        }

        public void setSid(String sid) {
            this.sid = sid;
        }

        public int getDay() {
            return day;
        }

        public void setDay(int day) {
            this.day = day;
        }

        public int getIsSign() {
            return isSign;
        }

        public void setIsSign(int isSign) {
            this.isSign = isSign;
        }

        public int getCoins() {
            return coins;
        }

        public void setCoins(int coins) {
            this.coins = coins;
        }

        public int getType() {
            return type;
        }

        public void setType(int type) {
            this.type = type;
        }

        public int getIsToday() {
            return isToday;
        }

        public void setIsToday(int isToday) {
            this.isToday = isToday;
        }

        public int getDayInWeek() {
            return dayInWeek;
        }

        public void setDayInWeek(int dayInWeek) {
            this.dayInWeek = dayInWeek;
        }

        public int getIsCanDoubling() {
            return isCanDoubling;
        }

        public void setIsCanDoubling(int isCanDoubling) {
            this.isCanDoubling = isCanDoubling;
        }
    }

    public static class ContinuousAwardDayListBean {
        /**
         * dayNumStr : 今天
         * type : 1
         */

        private String dayNumStr;
        private int type;

        public String getDayNumStr() {
            return dayNumStr;
        }

        public void setDayNumStr(String dayNumStr) {
            this.dayNumStr = dayNumStr;
        }

        public int getType() {
            return type;
        }

        public void setType(int type) {
            this.type = type;
        }
    }
}
